Organizations
Update organization settings
Update one or more typed organization settings.
PATCH
/
v1
/
organizations
/
{organizationId}
/
settings
Update organization settings
curl --request PATCH \
--url https://api.tembo.io/v1/organizations/{organizationId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ampApiKey": "<string>",
"anthropicApiKey": "<string>",
"awsBedrockAccessKeyId": "<string>",
"awsBedrockRegion": "<string>",
"awsBedrockSecretAccessKey": "<string>",
"cloneDepth": 123,
"commitInstructions": "<string>",
"cursorApiKey": "<string>",
"customSystemPrompt": "<string>",
"defaultAgent": "<string>",
"deleteBranchWhenPrClosed": true,
"draftPrs": true,
"enableCoderabbitBot": true,
"enableCursorBot": true,
"enableGeminiCodeAssistBot": true,
"enableGithubActionsBot": true,
"enableGraphiteBot": true,
"enableGreptileBot": true,
"experimentalMcp": true,
"featureMentionAuthor": true,
"freePrPeriod": 1,
"gcpVertexAiLocation": "<string>",
"gcpVertexAiProject": "<string>",
"gcpVertexAiServiceAccountJson": "<string>",
"kernelApiKey": "<string>",
"maxBotReviews": 1,
"maxSolutions": 1,
"openaiApiKey": "<string>",
"openrouterApiKey": "<string>",
"pgStatStatementsResetFrequency": "<string>",
"pmSystemPrompt": "<string>",
"prTitleInstructions": "<string>",
"pullRequestInsightsEnabled": true,
"repositoryDetectionHint": "<string>",
"shouldSignCommits": true,
"slackReviewOnTembo": true,
"slowQueryThresholdMs": 1,
"sshPublicKeys": "<string>",
"weeklyReportEnabled": true
}
'import requests
url = "https://api.tembo.io/v1/organizations/{organizationId}/settings"
payload = {
"ampApiKey": "<string>",
"anthropicApiKey": "<string>",
"awsBedrockAccessKeyId": "<string>",
"awsBedrockRegion": "<string>",
"awsBedrockSecretAccessKey": "<string>",
"cloneDepth": 123,
"commitInstructions": "<string>",
"cursorApiKey": "<string>",
"customSystemPrompt": "<string>",
"defaultAgent": "<string>",
"deleteBranchWhenPrClosed": True,
"draftPrs": True,
"enableCoderabbitBot": True,
"enableCursorBot": True,
"enableGeminiCodeAssistBot": True,
"enableGithubActionsBot": True,
"enableGraphiteBot": True,
"enableGreptileBot": True,
"experimentalMcp": True,
"featureMentionAuthor": True,
"freePrPeriod": 1,
"gcpVertexAiLocation": "<string>",
"gcpVertexAiProject": "<string>",
"gcpVertexAiServiceAccountJson": "<string>",
"kernelApiKey": "<string>",
"maxBotReviews": 1,
"maxSolutions": 1,
"openaiApiKey": "<string>",
"openrouterApiKey": "<string>",
"pgStatStatementsResetFrequency": "<string>",
"pmSystemPrompt": "<string>",
"prTitleInstructions": "<string>",
"pullRequestInsightsEnabled": True,
"repositoryDetectionHint": "<string>",
"shouldSignCommits": True,
"slackReviewOnTembo": True,
"slowQueryThresholdMs": 1,
"sshPublicKeys": "<string>",
"weeklyReportEnabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ampApiKey: '<string>',
anthropicApiKey: '<string>',
awsBedrockAccessKeyId: '<string>',
awsBedrockRegion: '<string>',
awsBedrockSecretAccessKey: '<string>',
cloneDepth: 123,
commitInstructions: '<string>',
cursorApiKey: '<string>',
customSystemPrompt: '<string>',
defaultAgent: '<string>',
deleteBranchWhenPrClosed: true,
draftPrs: true,
enableCoderabbitBot: true,
enableCursorBot: true,
enableGeminiCodeAssistBot: true,
enableGithubActionsBot: true,
enableGraphiteBot: true,
enableGreptileBot: true,
experimentalMcp: true,
featureMentionAuthor: true,
freePrPeriod: 1,
gcpVertexAiLocation: '<string>',
gcpVertexAiProject: '<string>',
gcpVertexAiServiceAccountJson: '<string>',
kernelApiKey: '<string>',
maxBotReviews: 1,
maxSolutions: 1,
openaiApiKey: '<string>',
openrouterApiKey: '<string>',
pgStatStatementsResetFrequency: '<string>',
pmSystemPrompt: '<string>',
prTitleInstructions: '<string>',
pullRequestInsightsEnabled: true,
repositoryDetectionHint: '<string>',
shouldSignCommits: true,
slackReviewOnTembo: true,
slowQueryThresholdMs: 1,
sshPublicKeys: '<string>',
weeklyReportEnabled: true
})
};
fetch('https://api.tembo.io/v1/organizations/{organizationId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organizationId": "<string>",
"settings": {
"cloneDepth": 123,
"commitInstructions": "<string>",
"customSystemPrompt": "<string>",
"defaultAgent": "<string>",
"defaultSandboxSize": "nano",
"deleteBranchWhenPrClosed": true,
"draftPrs": true,
"enableCoderabbitBot": true,
"enableCursorBot": true,
"enableGeminiCodeAssistBot": true,
"enableGithubActionsBot": true,
"enableGraphiteBot": true,
"enableGreptileBot": true,
"experimentalMcp": true,
"featureMentionAuthor": true,
"freePrPeriod": 1,
"maxBotReviews": 1,
"maxSolutions": 1,
"onDemandMaxCreditUsage": 1,
"pgStatStatementsResetFrequency": "<string>",
"pmSystemPrompt": "<string>",
"prTitleInstructions": "<string>",
"pullRequestInsightsEnabled": true,
"repositoryDetectionHint": "<string>",
"shouldSignCommits": true,
"slackReviewOnTembo": true,
"slowQueryThresholdMs": 1,
"sshPublicKeys": "<string>",
"weeklyReportEnabled": true
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Available options:
nano, micro, small, medium, large, xl, xxl, ultra Required range:
x >= 0Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Required range:
x >= 0Required range:
x >= 0Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Maximum string length:
64000Required range:
x >= 0Maximum string length:
64000Was this page helpful?
⌘I
Update organization settings
